# vikunja

>  The open-source, self-hostable to-do app.
Organize everything, on all platforms

<!-- metadata -->

* **Category**: Apps
* **Status**: 0
* **Image**: [`vikunja`](https://hub.docker.com/r/vikunja), 4, upstream
* **Healthcheck**: Almost 
* **Backups**: Yes
* **Email**: Yes
* **Tests**: No
* **SSO**: Yes

<!-- endmetadata -->

## Quick start

* `abra app new vikunja --secrets`
* `abra app config <app-name>`
* `abra app deploy <app-name>`

For more, see [`docs.coopcloud.tech`](https://docs.coopcloud.tech).


## Healthcheck

Vikunja uses a docker [scratch](https://hub.docker.com/_/scratch/) image, that is completely empty, therefore it is necessary to copy a statically build healthcheck binary into the container to perform the healthcheck.

To verify the binary in this recipe run this code:

```
# Set the source date epoch for reproducibility
export SOURCE_DATE_EPOCH=1640995200
export DOCKER_BUILDKIT=1

# Build the Docker image
docker build --build-arg SOURCE_DATE_EPOCH=${SOURCE_DATE_EPOCH} -t healthcheck -f healthcheck_Dockerfile .

# Create container, extract binary and remove the container
docker create --name healthcheck_builder healthcheck
docker cp healthcheck_builder:/app/healthcheck .
docker rm healthcheck_builder

# Check if the build is reproducible by calculating hash
sha256sum healthcheck
```
The sha256 checksum should be **c7c12a0eb019edd275c3f5a9302c70b2112941a8c0b9d9128d26c66a81a263c6**
