#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <unistd.h>

int main() {
    int sockfd;
    struct sockaddr_in server_addr;
    char request[] = "HEAD / HTTP/1.1\r\nHost: localhost\r\n\r\n";
    char response[1024];
    int received_bytes;

    sockfd = socket(AF_INET, SOCK_STREAM, 0);
    if (sockfd < 0) {
        perror("socket");
        return 1;
    }

    server_addr.sin_family = AF_INET;
    server_addr.sin_port = htons(3456);
    server_addr.sin_addr.s_addr = inet_addr("127.0.0.1");

    if (connect(sockfd, (struct sockaddr *)&server_addr, sizeof(server_addr)) < 0) {
        perror("connect");
        close(sockfd);
        return 1;
    }

    send(sockfd, request, strlen(request), 0);

    received_bytes = recv(sockfd, response, sizeof(response) - 1, 0);
    if (received_bytes < 0) {
        perror("recv");
        close(sockfd);
        return 1;
    }

    // Null-terminieren der empfangenen Bytes
    response[received_bytes] = '\0';

    // Statuscode extrahieren (erste Zeile enthält den Statuscode)
    char *status_line = strtok(response, "\r\n");
    printf("Response: %s\n", status_line);

    close(sockfd);
    return 0;
}
